@import url('https://fonts.googleapis.com/css?family=Nunito:200,600');

@import "~tailwindcss/base";
@import "~tailwindcss/components";
@import "~tailwindcss/utilities";

[v-cloak] {
    display: none;
}

thead tr {
    font-size: 0.9674rem !important;
}

thead tr th:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

thead tr th:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

tbody tr td:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 0px;
}

tbody tr td:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 0px;
}

label.default {
    @apply .block .text-gray-700 .text-sm .font-bold .mb-2;
}

button.default-submit {
    @apply .bg-blue-500 .text-white .font-bold .py-2 .px-4 .rounded;

    &:hover {
        @apply .bg-blue-700;
    }

    &:focus {
        @apply .outline-none .shadow-outline;
    }
}

ul.pagination {
    @apply .text-center;

    li {
        @apply .inline-block .mx-2 .text-sm .text-gray-800;

        &:first-child,
        &:last-child,
        &:hover,
        &.active {
            @apply .text-blue-600;
        }

        &.disabled {
            @apply .text-gray-500;
        }

        a:focus {
            @apply .outline-none;
        }
    }
}